Package org.apache.lucene.geo

# Class LatLonGeometry

java.lang.Object
org.apache.lucene.geo.Geometry
org.apache.lucene.geo.LatLonGeometry

Direct Known Subclasses:
  `Circle`, `Line`, `Point`, `Polygon`, `Rectangle`

public abstract class LatLonGeometry extends Geometry
Lat/Lon Geometry object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LatLonGeometry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Component2D`
  `create(LatLonGeometry... latLonGeometries)`
  Creates a Component2D from the provided LatLonGeometry array

  ### Methods inherited from class org.apache.lucene.geo.Geometry

  `toComponent2D`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LatLonGeometry

    public LatLonGeometry()

- ## Method Details

  - ### create

    public static Component2D create(LatLonGeometry... latLonGeometries)
    Creates a Component2D from the provided LatLonGeometry array